package com.ym.mec.biz.dal.entity;

import com.ym.mec.biz.dal.enums.PlatformCashAccountStatusEnum;

import io.swagger.annotations.ApiModelProperty;

import org.apache.commons.lang3.builder.ToStringBuilder;

import java.math.BigDecimal;

/**
 * 对应数据库表(sys_user_cash_account):
 */
public class SysUserCashAccount {

	/** 账户号码(用户编号) */
	@ApiModelProperty(value = "账户号码(用户编号) ",required = false)
	private Integer userId;
	
	/** 币种 */
	@ApiModelProperty(value = "币种",required = false)
	private String currency;
	
	/** 账户可用余额 */
	@ApiModelProperty(value = "账户可用余额",required = false)
	private BigDecimal balance;
	
	/** 冻结金额 */
	@ApiModelProperty(value = "冻结金额",required = false)
	private BigDecimal frozenAmount;
	
	/** 保证金余额 */
	@ApiModelProperty(value = "保证金余额",required = false)
	private BigDecimal marginBalance;
	
	/** 账户状态(0,冻结,1,正常;-1,注销;) */
	@ApiModelProperty(value = "账户状态",required = false)
	private PlatformCashAccountStatusEnum status;
	
	/** 创建时间 */
	private java.util.Date createTime;
	
	/** 修改时间 */
	private java.util.Date updateTime;
	
	public void setUserId(Integer userId){
		this.userId = userId;
	}
	
	public Integer getUserId(){
		return this.userId;
	}
			
	public void setCurrency(String currency){
		this.currency = currency;
	}
	
	public String getCurrency(){
		return this.currency;
	}

	public BigDecimal getBalance() {
		return balance;
	}

	public void setBalance(BigDecimal balance) {
		this.balance = balance;
	}

	public BigDecimal getFrozenAmount() {
		return frozenAmount;
	}

	public void setFrozenAmount(BigDecimal frozenAmount) {
		this.frozenAmount = frozenAmount;
	}

	public BigDecimal getMarginBalance() {
		return marginBalance;
	}

	public void setMarginBalance(BigDecimal marginBalance) {
		this.marginBalance = marginBalance;
	}

	public PlatformCashAccountStatusEnum getStatus() {
		return status;
	}

	public void setStatus(PlatformCashAccountStatusEnum status) {
		this.status = status;
	}

	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
